At Sun, 22 Jul 2007 00:22:53 -0400,
Yoshihiro Ota wrote:
> こちらの実装は、今回はうまくいきました。
...
> http://www.ne.jp/asahi/export/uyota/src/gports-1.50.tar.bz2

# gmake /var/db/pkg/xpdf-3.01_2
(cd /usr/ports/graphics/xpdf &&  echo xpdf-3.01_2 to xpdf-3.01_3 &&  
MAKEFLAGS="" make build && ( ([ ! -f xpdf-3.01_2.tar  ] || (cd /root/gports/ && 
pkg_create -b xpdf-3.01_2.tar )) && ((MAKEFLAGS="" make deinstall reinstall && 
sed -i.gports -e "/pkgdep/s^xpdf-3.01_2^xpdf-3.01_3^g" 
/var/db/pkg/*-*/+CONTENTS) || pkg_add -f /root/gports/xpdf-3.01_2.tar )))
xpdf-3.01_2 to xpdf-3.01_3
===>  Vulnerability check disabled, database not found
=> xpdf-3.01pl2.patch doesn't seem to exist in /usr/ports/distfiles/.
...

確かに、前の版名で実行されます。しかし
# gmake -n ja-kterm
gmake: *** ターゲット `ja-kterm' を make するルールがありません。中止。

# gmake -n kterm
(cd /usr/ports/japanese/kterm &&  echo ja-kterm-6.2.0_7 to ja-kterm-6.2.0_8 &&  
MAKEFLAGS="" make build && ( ([ ! -f ja-kterm-6.2.0_7.tar  ] || (cd 
/root/gports/ && pkg_create -b ja-kterm-6.2.0_7.tar )) && ((MAKEFLAGS="" make 
deinstall reinstall && sed -i.gports -e 
"/pkgdep/s^ja-kterm-6.2.0_7^ja-kterm-6.2.0_8^g" /var/db/pkg/*-*/+CONTENTS) || 
pkg_add -f /root/gports/ja-kterm-6.2.0_7.tar )))
...

上はどちらが正解でしょう? (ja-xpdf と xpdf のどちらかを指定する時?)
/var/db/pkg/ja-kterm-6.2.0_7 ですが...
-- 
                        /  Name : Dobashi Mitsuyoshi  /
                       / E-mail : 
[メールアドレス保護] /

メールによる返信